# Trait rustc_serialize::hex::ToHex [−] [src]

    pub trait ToHex {
        fn to_hex(&self) -> String;
    }

A trait for converting a value to hexadecimal encoding

## Required Methods

### `fn to_hex(&self) -> String`

Converts the value of `self` to a hex value, returning the owned string.

## Implementors

- `impl ToHex for [u8]`
- `impl<'a, T: ?Sized + ToHex> ToHex for &'a T`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)